#define _requires_exceptions pear

Name:		zabbix
Version:	2.0.10
Release:	%mkrel 2
Summary:	Open-source monitoring solution for your IT infrastructure
Group:		Monitoring
License:	GPLv2+
URL:		http://www.zabbix.com
Source0:	http://freefr.dl.sourceforge.net/project/%{name}/ZABBIX%20Latest%20Stable/%{version}/%{name}-%{version}.tar.gz
Source1:	zabbix-web.conf
Source2:	zabbix-agent.service
Source3:	zabbix-server.service
Source4:	zabbix-proxy.service
#Source3:	zabbix-server-mysql.service
#Source4:	zabbix-server-pgsql.service
#Source5:	zabbix-server-sqlite.service
#Source6:	zabbix-proxy-mysql.service
#Source7:	zabbix-proxy-pgsql.service
#Source8:	zabbix-proxy-sqlite.service
Source9:	zabbix-logrotate.in
Source10:	%{name}-tmpfiles.conf
Source11:	%{name}.sysconfig
Patch0:		zabbix-2.0.2-config.patch
BuildRequires:	net-snmp-devel
BuildRequires:	openldap-devel, gnutls-devel
BuildRequires:	libiksemel-devel
BuildRequires:	pkgconfig(libtasn1)
BuildRequires:	curl-devel
BuildRequires:	pkgconfig(libssh2)
BuildRequires:	openipmi-devel
BuildRequires:	mysql-devel
BuildRequires:	postgresql-devel
BuildRequires:	sqlite3-devel
BuildRequires:	systemd-units
BuildRequires:	java-devel

%description
Zabbix is the ultimate open source availability and performance monitoring
solution. Zabbix offers advanced monitoring, alerting, and visualization
features today which are missing in other monitoring systems, even some of
the best commercial ones.

%package server
Summary:		Common Zabbix server components
Group:			Monitoring
Requires:		%{name}-server-impl = %{version}-%{release}
Requires:		logrotate, fping, traceroute
Requires(post):		systemd >= %{systemd_required_version}
Requires(pre):		rpm-helper
Requires(post):		rpm-helper
Requires(preun):	rpm-helper

%description server
Zabbix is the ultimate open source availability and performance monitoring
solution. Zabbix offers advanced monitoring, alerting, and visualization
features today which are missing in other monitoring systems, even some of
the best commercial ones.

This package contains common Zabbix server components.

%package		server-mysql
Summary:		Zabbix server built with MySQL support
Group:			Monitoring
Requires:		%{name}-server = %{version}-%{release}
Provides:		%{name}-server-impl = %{version}-%{release}
Requires(post):		update-alternatives
Requires(preun):	update-alternatives
Requires(postun):	update-alternatives

%description	server-mysql
Zabbix is the ultimate open source availability and performance monitoring
solution. Zabbix offers advanced monitoring, alerting, and visualization
features today which are missing in other monitoring systems, even some of
the best commercial ones.

This package contains Zabbix server component built with MySQL support.

%package		server-pgsql
Summary:		Zabbix server built with PostgreSQL support
Group:			Monitoring
Requires:		%{name}-server = %{version}-%{release}
Provides:		%{name}-server-impl = %{version}-%{release}
Requires(post):		update-alternatives
Requires(preun):	update-alternatives
Requires(postun):	update-alternatives

%description	server-pgsql
Zabbix is the ultimate open source availability and performance monitoring
solution. Zabbix offers advanced monitoring, alerting, and visualization
features today which are missing in other monitoring systems, even some of
the best commercial ones.

This package contains Zabbix server component built with PostgreSQL support.

%package		server-sqlite
Summary:		Zabbix server built with SQLite support
Group:			Monitoring
Requires:		%{name}-server = %{version}-%{release}
Provides:		%{name}-server-impl = %{version}-%{release}
Requires(post):		update-alternatives
Requires(preun):	update-alternatives
Requires(postun):	update-alternatives

%description	server-sqlite
Zabbix is the ultimate open source availability and performance monitoring
solution. Zabbix offers advanced monitoring, alerting, and visualization
features today which are missing in other monitoring systems, even some of
the best commercial ones.

This package contains Zabbix server component built with SQLite support.

%package proxy
Summary:		Common Zabbix proxy components
Group:			Monitoring
Requires:		%{name}-proxy-impl = %{version}-%{release}
Requires:		logrotate, fping, traceroute
Requires(post):		systemd >= %{systemd_required_version}
Requires(pre):		rpm-helper
Requires(post):		rpm-helper
Requires(preun):	rpm-helper

%description proxy
Zabbix is the ultimate open source availability and performance monitoring
solution. Zabbix offers advanced monitoring, alerting, and visualization
features today which are missing in other monitoring systems, even some of
the best commercial ones.

This package contains common Zabbix proxy components.

%package		proxy-mysql
Summary:		Zabbix proxy built with MySQL support
Group:			Monitoring
Requires:		%{name}-proxy = %{version}-%{release}
Provides:		%{name}-proxy-impl = %{version}-%{release}
Requires(post):		update-alternatives
Requires(preun):	update-alternatives
Requires(postun):	update-alternatives

%description	proxy-mysql
Zabbix is the ultimate open source availability and performance monitoring
solution. Zabbix offers advanced monitoring, alerting, and visualization
features today which are missing in other monitoring systems, even some of
the best commercial ones.

This package contains Zabbix proxy component built with MySQL support.

%package		proxy-pgsql
Summary:		Zabbix proxy built with PostgreSQL support
Group:			Monitoring
Requires:		%{name}-proxy = %{version}-%{release}
Provides:		%{name}-proxy-impl = %{version}-%{release}
Requires(post):		update-alternatives
Requires(preun):	update-alternatives
Requires(postun):	update-alternatives

%description	proxy-pgsql
Zabbix is the ultimate open source availability and performance monitoring
solution. Zabbix offers advanced monitoring, alerting, and visualization
features today which are missing in other monitoring systems, even some of
the best commercial ones.

This package contains Zabbix proxy component built with PostgreSQL support.

%package		proxy-sqlite
Summary:		Zabbix proxy built with SQLite support
Group:			Monitoring
Requires:		%{name}-proxy = %{version}-%{release}
Provides:		%{name}-proxy-impl = %{version}-%{release}
Requires(post):		update-alternatives
Requires(preun):	update-alternatives
Requires(postun):	update-alternatives

%description	proxy-sqlite
Zabbix is the ultimate open source availability and performance monitoring
solution. Zabbix offers advanced monitoring, alerting, and visualization
features today which are missing in other monitoring systems, even some of
the best commercial ones.

This package contains Zabbix proxy component built with SQLite support.

%package	java
Summary:	Zabbix Java gateway
Group:		Monitoring
Requires:	java

%description	java
Zabbix is the ultimate open source availability and performance monitoring
solution. Zabbix offers advanced monitoring, alerting, and visualization
features today which are missing in other monitoring systems, even some of
the best commercial ones.

This package contains Zabbix Java gateway.

%package	agent
Summary:		Zabbix Agent
Group:			Monitoring
Requires:		logrotate
Requires(post):		systemd >= %{systemd_required_version}
Requires(pre):		rpm-helper
Requires(post):		rpm-helper
Requires(preun):	rpm-helper

%description	agent
The zabbix client agent, to be installed on monitored systems.

%package	web
Summary:	Zabbix Web Frontend
Group:		Monitoring
Requires:	apache-mod_php
Requires:	php-bcmath
Requires:	php-mbstring
Requires:	php-gd
Requires:	php-sockets
Requires:	php-xml, php-xmlreader, php-xmlwriter
Requires:	php-ctype
Requires:	php-session
Requires:	php-gettext
Suggests:	php-mysql, php-pgsql, php-sqlite3
# Use fonts-ttf-dejavu package rather than included fonts
Requires:	fonts-ttf-dejavu

%description	web
The php frontend to display the zabbix web interface.

%prep
%setup -q
%apply_patches

# fix up some lib64 issues
%{__perl} -pi.orig -e 's|_LIBDIR=/usr/lib|_LIBDIR=%{_libdir}|g' \
    configure

%build

common_flags="
    --enable-dependency-tracking
    --with-net-snmp
    --with-openipmi
    --with-ldap
    --with-libcurl
    --with-ssh2
    --with-jabber
    --enable-ipv6
    --enable-static=no
"

# Build database-dependent components

%configure2_5x $common_flags --enable-server --enable-proxy --with-mysql
%make
mv src/zabbix_server/zabbix_server src/zabbix_server/zabbix_server_mysql
mv src/zabbix_proxy/zabbix_proxy src/zabbix_proxy/zabbix_proxy_mysql

%configure2_5x $common_flags --enable-server --enable-proxy --with-postgresql
%make
mv src/zabbix_server/zabbix_server src/zabbix_server/zabbix_server_pgsql
mv src/zabbix_proxy/zabbix_proxy src/zabbix_proxy/zabbix_proxy_pgsql

%configure2_5x $common_flags --enable-server --enable-proxy --with-sqlite3
%make
mv src/zabbix_server/zabbix_server src/zabbix_server/zabbix_server_sqlite
mv src/zabbix_proxy/zabbix_proxy src/zabbix_proxy/zabbix_proxy_sqlite

# Build database-independent components

%configure2_5x $common_flags --enable-agent --enable-java
%make

%install

# set up some required directories
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
mkdir -p %{buildroot}%{_sysconfdir}/%{name}/web
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d
mkdir -p %{buildroot}%{_datadir}/%{name}/schema
mkdir -p %{buildroot}%{_datadir}/%{name}/web
#mkdir -p %{buildroot}%{_datadir}/%{name}/systemd
mkdir -p %{buildroot}%{_localstatedir}/%{name}
mkdir -p %{buildroot}%{_localstatedir}/log/%{name}

# Install binaries
mkdir -p %{buildroot}%{_sbindir}
install -m 0755 -p src/zabbix_server/zabbix_server_* %{buildroot}%{_sbindir}
install -m 0755 -p src/zabbix_proxy/zabbix_proxy_* %{buildroot}%{_sbindir}

# Install man pages
mkdir -p %{buildroot}%{_mandir}/man8
install -m 0644 -p man/zabbix_server.man %{buildroot}%{_mandir}/man8/zabbix_server.8
install -m 0644 -p man/zabbix_proxy.man %{buildroot}%{_mandir}/man8/zabbix_proxy.8

# Ghosted alternatives
touch src/zabbix_server/zabbix_server
touch src/zabbix_proxy/zabbix_proxy

# php frontend
cp -a frontends/php/* %{buildroot}%{_datadir}/%{name}/web

# kill off .htaccess files, options set in SOURCE1
rm -f %{buildroot}%{_datadir}/%{name}/web/include/.htaccess
rm -f %{buildroot}%{_datadir}/%{name}/web/include/classes/.htaccess

# drop config files in place

install -m 0644 conf/%{name}_agent.conf %{buildroot}%{_sysconfdir}/%{name}

cat conf/%{name}_agentd.conf | sed \
    -e 's|# PidFile=.*|PidFile=/run/%{name}/%{name}_agentd.pid|g' \
    -e 's|^LogFile=.*|LogFile=%{_localstatedir}/log/%{name}/%{name}_agentd.log|g' \
    > %{buildroot}%{_sysconfdir}/%{name}/%{name}_agentd.conf

cat conf/zabbix_server.conf | sed \
    -e 's|# PidFile=.*|PidFile=/run/%{name}/%{name}.pid|g' \
    -e 's|^LogFile=.*|LogFile=%{_localstatedir}/log/%{name}/%{name}_server.log|g' \
    -e 's|AlertScriptsPath=/home/%{name}/bin/|AlertScriptsPath=%{_localstatedir}/lib/%{name}/|g' \
    -e 's|DBUser=root|DBUser=%{name}|g' \
    -e 's|# ExternalScripts=\${datadir}/zabbix/externalscripts|ExternalScripts=%{_localstatedir}/lib/%{name}/externalscripts|' \
    -e 's|/usr/local||g' \
    > %{buildroot}%{_sysconfdir}/%{name}/%{name}_server.conf

cat conf/zabbix_proxy.conf | sed \
    -e 's|# PidFile=.*|PidFile=/run/%{name}/%{name}_proxy.pid|g' \
    -e 's|^LogFile=.*|LogFile=%{_localstatedir}/log/%{name}/%{name}_proxy.log|g' \
    -e 's|^DBUser=root|DBUser=zabbix|g' \
    -e 's|# DBSocket=/tmp/mysql.sock|DBSocket=%{_sharedstatedir}/mysql/mysql.sock|g' \
    -e 's|# ExternalScripts=\${datadir}/zabbix/externalscripts|ExternalScripts=%{_localstatedir}/lib/%{name}/externalscripts|' \
    -e 's|/usr/local||g' \
    > %{buildroot}%{_sysconfdir}/%{name}/%{name}_proxy.conf

install -D -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf

# Prepare ghosted config file
touch %{buildroot}%{_sysconfdir}/%{name}/web/%{name}.conf.php

# This file is used to switch the frontend to maintenance mode
mv %{buildroot}%{_datadir}/%{name}/web/conf/maintenance.inc.php %{buildroot}%{_sysconfdir}/%{name}/web/maintenance.inc.php

# log rotation
cat %{SOURCE9} | sed -e 's|COMPONENT|server|g' > \
     %{buildroot}%{_sysconfdir}/logrotate.d/%{name}-server
cat %{SOURCE9} | sed -e 's|COMPONENT|agentd|g' > \
     %{buildroot}%{_sysconfdir}/logrotate.d/%{name}-agent
cat %{SOURCE9} | sed -e 's|COMPONENT|proxy|g' > \
     %{buildroot}%{_sysconfdir}/logrotate.d/%{name}-proxy

# systemd units
install -D -m 0644 %{SOURCE2} %{buildroot}%{_unitdir}/%{name}-agent.service
install -D -m 0644 %{SOURCE3} %{buildroot}%{_unitdir}/%{name}-server.service
install -D -m 0644 %{SOURCE4} %{buildroot}%{_unitdir}/%{name}-proxy.service
#install -m 0644 %{SOURCE3} %{buildroot}%{_datadir}/%{name}/systemd
#install -m 0644 %{SOURCE4} %{buildroot}%{_datadir}/%{name}/systemd
#install -m 0644 %{SOURCE5} %{buildroot}%{_datadir}/%{name}/systemd
#install -m 0644 %{SOURCE6} %{buildroot}%{_datadir}/%{name}/systemd
#install -m 0644 %{SOURCE7} %{buildroot}%{_datadir}/%{name}/systemd
#install -m 0644 %{SOURCE8} %{buildroot}%{_datadir}/%{name}/systemd

# tmpfiles
install -D -p -m 0644 %{SOURCE10} %{buildroot}%{_tmpfilesdir}/%{name}.conf
install -D -p -m 0644 %{SOURCE10} %{buildroot}%{_tmpfilesdir}/%{name}-agent.conf

# sysconfig
install -D -m 0644 %{SOURCE11} %{buildroot}%{_sysconfdir}/sysconfig/%{name}

# database schemata
cp -a database %{buildroot}/%{_datadir}/%{name}/schema
cp -a upgrades %{buildroot}/%{_datadir}/%{name}/schema
rm -f %{buildroot}/%{_datadir}/%{name}/schema/*/Makefile*

%makeinstall_std
rm -f %{buildroot}%{_sysconfdir}/%{name}*.conf
rm -rf %{buildroot}%{_libdir}/libzbx*.a

# Use fonts-ttf-dejavu package rather than included font
rm -rf %{buildroot}%{_datadir}/zabbix/web/fonts/DejaVuSans.ttf
ln -sf %{_datadir}/fonts/TTF/dejavu/DejaVuSans.ttf %{buildroot}%{_datadir}/zabbix/web/fonts/DejaVuSans.ttf

mv %{buildroot}%{_sysconfdir}/%{name}*conf.d %{buildroot}%{_sysconfdir}/%{name}

# Zabbix Agent

%pre agent
%_pre_useradd %{name} %{_localstatedir}/lib/%{name} /sbin/nologin

%post agent
%_tmpfilescreate %{name}-agent
%_post_service %{name}-agent

%preun agent
%_preun_service %{name}-agent

# Zabbix Server

%pre server
%_pre_useradd %{name} %{_localstatedir}/lib/%{name} /sbin/nologin

%post server
%_tmpfilescreate %{name}
%_post_service %{name}-server

%preun server
%_preun_service %{name}-server

%post server-mysql
%{_sbindir}/update-alternatives --install %{_sbindir}/%{name}_server \
    %{name}-server %{_sbindir}/%{name}_server_mysql 10 \
#    --slave %{_unitdir}/zabbix-server.service %{name}-server-systemd \
#    %{_datadir}/%{name}/systemd/zabbix-server-mysql.service

%post server-pgsql
%{_sbindir}/update-alternatives --install %{_sbindir}/%{name}_server \
    %{name}-server %{_sbindir}/%{name}_server_pgsql 10 \
#    --slave %{_unitdir}/zabbix-server.service %{name}-server-systemd \
#    %{_datadir}/%{name}/systemd/zabbix-server-pgsql.service

%post server-sqlite
%{_sbindir}/update-alternatives --install %{_sbindir}/%{name}_server \
    %{name}-server %{_sbindir}/%{name}_server_sqlite 10 \
#    --slave %{_unitdir}/zabbix-server.service %{name}-server-systemd \
#    %{_datadir}/%{name}/systemd/zabbix-server-sqlite.service

# Zabbix Proxy

%pre proxy
%_pre_useradd %{name} %{_localstatedir}/lib/%{name} /sbin/nologin

%post proxy
%_tmpfilescreate %{name}
%_post_service %{name}-proxy

%preun proxy
%_preun_service %{name}-proxy

%post proxy-mysql
%{_sbindir}/update-alternatives --install %{_sbindir}/%{name}_proxy \
    %{name}-proxy %{_sbindir}/%{name}_proxy_mysql 10 \
#    --slave %{_unitdir}/zabbix-proxy.service %{name}-proxy-systemd \
#    %{_datadir}/%{name}/systemd/zabbix-proxy-mysql.service

%post proxy-pgsql
%{_sbindir}/update-alternatives --install %{_sbindir}/%{name}_proxy \
    %{name}-proxy %{_sbindir}/%{name}_proxy_pgsql 10 \
#    --slave %{_unitdir}/zabbix-proxy.service %{name}-proxy-systemd \
#    %{_datadir}/%{name}/systemd/zabbix-proxy-pgsql.service

%post proxy-sqlite
%{_sbindir}/update-alternatives --install %{_sbindir}/%{name}_proxy \
    %{name}-proxy %{_sbindir}/%{name}_proxy_sqlite 10 \
#    --slave %{_unitdir}/zabbix-proxy.service %{name}-proxy-systemd \
#    %{_datadir}/%{name}/systemd/zabbix-proxy-sqlite.service

#triggerin web -- apache
#chown -R apache.apache %{_sysconfig}/%{name}/web

%clean

%files server
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%ghost %{_sbindir}/%{name}_server
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}-server
%config(noreplace) %{_sysconfdir}/%{name}/%{name}_server.conf
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_datadir}/%{name}/schema
%dir %{_sysconfdir}/%{name}
#dir %{_datadir}/%{name}/systemd
%{_mandir}/man8/%{name}_server.8*
%{_tmpfilesdir}/%{name}.conf
%{_unitdir}/%{name}-server.service
%attr(0755,%{name},%{name}) %dir %{_localstatedir}/log/%{name}
%attr(0755,%{name},%{name}) %dir %{_localstatedir}/%{name}

%files server-mysql
#{_datadir}/%{name}/systemd/%{name}-server-mysql.service
%{_sbindir}/%{name}_server_mysql

%files server-pgsql
#{_datadir}/%{name}/systemd/%{name}-server-pgsql.service
%{_sbindir}/%{name}_server_pgsql

%files server-sqlite
#{_datadir}/%{name}/systemd/%{name}-server-sqlite.service
%{_sbindir}/%{name}_server_sqlite

%files proxy
%ghost %{_sbindir}/%{name}_proxy
%dir %{_sysconfdir}/%{name}
%{_sysconfdir}/%{name}/%{name}_proxy.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}-proxy
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_datadir}/%{name}/schema
%{_mandir}/man8/%{name}_proxy.8*
%{_tmpfilesdir}/%{name}.conf
%{_unitdir}/%{name}-proxy.service
%attr(0755,%{name},%{name}) %dir %{_localstatedir}/log/%{name}
%attr(0755,%{name},%{name}) %dir %{_localstatedir}/%{name}

%files proxy-mysql
#%{_datadir}/%{name}/systemd/%{name}-proxy-mysql.service
%{_sbindir}/%{name}_proxy_mysql

%files proxy-pgsql
#%{_datadir}/%{name}/systemd/%{name}-proxy-pgsql.service
%{_sbindir}/%{name}_proxy_pgsql

%files proxy-sqlite
#%{_datadir}/%{name}/systemd/%{name}-proxy-sqlite.service
%{_sbindir}/%{name}_proxy_sqlite

%files java
%{_sbindir}/%{name}_java

%files agent
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/%{name}_agent*.conf.d
%{_bindir}/%{name}_sender
%{_bindir}/%{name}_get
%{_sbindir}/%{name}_agent
%{_sbindir}/%{name}_agentd
%{_mandir}/man1/%{name}_sender.1*
%{_mandir}/man1/%{name}_get.1*
%{_mandir}/man8/%{name}_agentd.8*
%{_unitdir}/%{name}-agent.service
%{_tmpfilesdir}/%{name}-agent.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}-agent
%config(noreplace) %{_sysconfdir}/%{name}/%{name}_agent.conf
%config(noreplace) %{_sysconfdir}/%{name}/%{name}_agentd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%attr(0755,%{name},%{name}) %dir %{_localstatedir}/log/%{name}

%files web
%doc README
%attr(750,apache,apache) %dir %{_sysconfdir}/%{name}/web
%ghost %attr(0644,apache,apache) %config(noreplace) %{_sysconfdir}/%{name}/web/zabbix.conf.php
%attr(0644,apache,apache) %config(noreplace) %{_sysconfdir}/%{name}/web/maintenance.inc.php
%config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
%{_datadir}/%{name}/web


%changelog
* Wed Jan 08 2014 philippem <philippem> 2.0.10-2.mga4
+ Revision: 565635
- Update to 2.0.10, security fix mga#11868

* Tue Oct 22 2013 umeabot <umeabot> 2.0.9-2.mga4
+ Revision: 541290
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 mitya <mitya> 2.0.9-1.mga4
+ Revision: 495480
- New version 2.0.9

* Mon Apr 08 2013 mitya <mitya> 2.0.5-1.mga3
+ Revision: 409141
- New version 2.0.5
- Fix #8801
- Build and package backend-specific binaries, use alternatives to configure
- Build proxy and Java gateway
- Migrate to native systemd units, drop init scripts
- Misc fixes

* Sun Mar 24 2013 colin <colin> 2.0.4-7.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Thu Mar 14 2013 barjac <barjac> 2.0.4-6.mga3
+ Revision: 402858
- Requires fonts-ttf-dejavu
- remove font from package
- symlink font
- mga #8820

* Thu Jan 24 2013 luigiwalser <luigiwalser> 2.0.4-5.mga3
+ Revision: 391762
- add upstream patch to fix CVE-2013-1364 (upstream ZBX-6097)

* Wed Jan 23 2013 luigiwalser <luigiwalser> 2.0.4-4.mga3
+ Revision: 391742
- fix CVE-2012-6086 (upstream ZBX-5924)

* Fri Jan 18 2013 colin <colin> 2.0.4-3.mga3
+ Revision: 389409
- Use tmpfiles.d for runtime dir creation.
- Use standard macros for pre/post user and service management

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 mitya <mitya> 2.0.4-1.mga3
+ Revision: 336482
- New version 2.0.4

* Wed May 09 2012 pterjan <pterjan> 1.8.11-2.mga2
+ Revision: 234950
- Fix initscripts' LSB headers

* Mon Apr 23 2012 mitya <mitya> 1.8.11-1.mga2
+ Revision: 233028
- Import Zabbix 1.8.11
- Created package structure for zabbix.

